httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jean-frederic clere <jfrederic.cl...@fujitsu-siemens.com>
Subject MODULE_MAGIC_NUMBER_MAJOR complain
Date Tue, 18 Feb 2003 10:55:05 GMT
Hi,

Would there be a way to get ride of the following problem:
+++
httpd: module "../../server/apache2/mod_jk2.c" is not compatible with this 
version of Apache (found 20020903, need 20030213).
Please contact the vendor for the correct version.
+++

In include/ap_mmn.h we have:
+++
  * 20020612 (2.0.38-dev) Changed server_rec->[keep_alive_]timeout to apr time
  * 20020625 (2.0.40-dev) Changed conn_rec->keepalive to an enumeration
  * 20020628 (2.0.40-dev) Added filter_init to filter registration functions
  * 20020903 (2.0.41-dev) APR's error constants changed
+++

I understand very well that a module compiled for the 2.0.45 will not run on 
2.0.39 but I am quite disappointed not to be able to run a module compiled in 
2.0.39 in the 2.0.45.

Cheers

Jean-frederic


Mime
View raw message